By using this site, you agree to our updated Privacy Policy and our Terms of Use. Manage your Cookies Settings.
438,514 Members | 1,693 Online
Bytes IT Community
+ Ask a Question
Need help? Post your question and get tips & solutions from a community of 438,514 IT Pros & Developers. It's quick & easy.

Where does db2cc pull the java version from?

P: n/a
I recently installed four AIX 5.3 boxes (ML03 and 04). I then
installed various versions of db2 V8.1 -- FP9a and FP11

when i run db2cc on two of the boxes as the instance owner, it loads
up.

however when i run it on the other two boxes, it gives :
sh: /usr/java14_64/jre/bin/java: not found.
DB2JAVIT : RC = 12
Thing is java14_64 was never installed. java5_64 is.

Can i manually change this to run using java5?

It is happening on one ML03 and one ML04 box, and both are FP9. The
two that work are ML03 w FP9 and ML04 w FP11.

thx

B

Mar 14 '07 #1
Share this Question
Share on Google+
3 Replies


P: n/a
Hi ,
In the SQLLIB folder there will be a link to the java folder.
go to that directory
and do
java -version.

Swami.
On Mar 14, 6:44 pm, "bomahony" <bomah...@gmail.comwrote:
I recently installed four AIX 5.3 boxes (ML03 and 04). I then
installed various versions of db2 V8.1 -- FP9a and FP11

when i run db2cc on two of the boxes as the instance owner, it loads
up.

however when i run it on the other two boxes, it gives :
sh: /usr/java14_64/jre/bin/java: not found.
DB2JAVIT : RC = 12

Thing is java14_64 was never installed. java5_64 is.

Can i manually change this to run using java5?

It is happening on one ML03 and one ML04 box, and both are FP9. The
two that work are ML03 w FP9 and ML04 w FP11.

thx

B

Mar 14 '07 #2

P: n/a
bomahony wrote:
I recently installed four AIX 5.3 boxes (ML03 and 04). I then
installed various versions of db2 V8.1 -- FP9a and FP11

when i run db2cc on two of the boxes as the instance owner, it loads
up.

however when i run it on the other two boxes, it gives :
sh: /usr/java14_64/jre/bin/java: not found.
DB2JAVIT : RC = 12
Thing is java14_64 was never installed. java5_64 is.

Can i manually change this to run using java5?

It is happening on one ML03 and one ML04 box, and both are FP9. The
two that work are ML03 w FP9 and ML04 w FP11.
The JVM is pulled from the JDK_PATH dbm cfg variable - you can update it
with "db2 update dbm cfg using JDK_PATH /usr/java5_64" (I can't remember
for sure - v8 may have been JDK64_PATH or something similar.)
Mar 14 '07 #3

P: n/a
On Mar 14, 1:50 pm, Darin McBride
<dmcbr...@tower.to.org.no.spam.for.mewrote:
bomahony wrote:
I recently installed four AIX 5.3 boxes (ML03 and 04). I then
installed various versions of db2 V8.1 -- FP9a and FP11
when i run db2cc on two of the boxes as the instance owner, it loads
up.
however when i run it on the other two boxes, it gives :
sh: /usr/java14_64/jre/bin/java: not found.
DB2JAVIT : RC = 12
Thing is java14_64 was never installed. java5_64 is.
Can i manually change this to run using java5?
It is happening on one ML03 and one ML04 box, and both are FP9. The
two that work are ML03 w FP9 and ML04 w FP11.

The JVM is pulled from the JDK_PATH dbm cfg variable - you can update it
with "db2 update dbm cfg using JDK_PATH /usr/java5_64" (I can't remember
for sure - v8 may have been JDK64_PATH or something similar.)
Thanx darin, that was it.

Mar 14 '07 #4

This discussion thread is closed

Replies have been disabled for this discussion.